<?php /*
phpWebTrace 1.0 - list_visits.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: list_visits.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
// ----------------------------------------------------------------------
// list visits
if(isset($_GET['host'])) { $host=mysql_real_escape_string($_GET['host']);$viewing=' All Visits From Host: '.$host; }
elseif(isset($_GET['referrer'])) { $referrer=mysql_real_escape_string($_GET['referrer']);$viewing='All Referrals From: '.$referrer; }
if(isset($_GET['limit'])) { $limit='LIMIT '.(int)$_GET['limit']; $viewing='Last '.$_GET['limit']; $show=1;} else { $limit=''; $show=1; }
if(isset($_GET['showdate'])) { $viewing = 'All Visits On '.substr($_GET['showdate'],6,2).'/'.substr($_GET['showdate'],4,2).'/'.substr($_GET['showdate'],0,4); unset($show);}
if(!isset($viewing)) { $viewing = 'All'; }
$data = array();

// are we applying any search filters?
if ( isset($host) ) { $result = mysql_db_query($dbname, "SELECT id,timestamp,ip,host,referer_host,browser,os,entry FROM $dblog WHERE host='".$host."' ORDER BY timestamp DESC $limit", $link); }
elseif ( isset($referrer) ) { $result = mysql_db_query($dbname, "SELECT id,timestamp,ip,host,referer_host,browser,os,entry FROM $dblog WHERE referer LIKE '%://".$referrer."%' ORDER BY timestamp DESC $limit", $link); }
elseif(isset($_GET['showdate'])) {  
	$sql="SELECT id,timestamp,ip,host,referer_host,browser,os,entry FROM $dblog WHERE datestamp='".mysql_real_escape_string($_GET['showdate'])."' AND ";
	// check visit is not from a search bot
	reset($bots);
	$totalbots=count($bots);$x=1;
	foreach ($bots as $name => $value) {
		$sql .= "client NOT LIKE '%".$value."%'";
		if ($x < $totalbots) { $sql .= " AND "; $x++; }
	}
	$sql.=" ORDER BY timestamp DESC $limit";
	$result = mysql_db_query($dbname, $sql, $link);
}
else { 
	$sql="SELECT id,timestamp,ip,host,referer_host,browser,os,entry FROM $dblog WHERE ";
	// check visit is not from a search bot
	reset($bots);
	$totalbots=count($bots);$x=1;
	foreach ($bots as $name => $value) {
		$sql .= "client NOT LIKE '%".$value."%'";
		if ($x < $totalbots) { $sql .= " AND "; $x++; }
	}
	$sql.=" ORDER BY timestamp DESC $limit";
	$result = mysql_db_query($dbname, $sql, $link);
}

while($row = mysql_fetch_array($result)) {
	$row['timestamp'] = date("d/m/Y h:i a", $row['timestamp']);
	$row['entry'] = pathinfo($row['entry']);
	$row['entry'] = $row['entry']["basename"];
	array_push($data, $row);
}

if ($show) { $show=" ( <a href='index.php?page=list_visits&showdate=".date("Ymd")."' class='slink'>Today</a> | <a class='slink' href='index.php?page=list_visits&limit=20'>Last 20</a> | <a class='slink' href='index.php?page=list_visits&limit=50'>Last 50</a> | <a class='slink' href='index.php?page=list_visits&limit=100'>Last 100</a> | <a class='slink' href='index.php?page=list_visits'>List All</a> )"; }
echo "
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
	<tr class='fill01'><td height=25 colspan=7 align='left'>&nbsp;<b>Visitor List - Viewing $viewing</b>$show</td></tr>
	<tr class='fill02'>
		<td width=20></td>
		<td width=130 align='center'><b>Date / Time</b></td>
		<td width=95 align='center'><b>IP</b></td>
		<td width=20 align='center'><b>Ctry</b></td>
		<td width=55 align='center'><b>System</b></td>
		<td><b>Referring Host</b></td>
		<td><b>Entry Page</b></td>
	</tr>
";
	$n = 0;
	foreach($data as $item) {
		$browser = browser($item['browser']);
		$os = os($item['os']);
		
		// do the GeoIP Lookup
		if ( $geoip_path != "" ) {
			$countrycode=geoip_country_code_by_addr($gi, $item['ip']);
			if ( $countrycode == "" ) { $flag = "icons_flags/unknown.jpg"; }
			else {
				$flag = "icons_flags/" . strtolower($countrycode) . ".gif" ;
			}
			$country = geoip_country_name_by_addr($gi, $item['ip']);
			$flag = "<img src='$flag' title='$country'>";
		} else {
			$flag="&nbsp;";
		}

		if(!($n % 2)) { $bg = "class='fill03'"; } else { $bg = ''; }
		
		echo "<tr $bg>
			<td align='center'><a href='index.php?page=visitors_detail&id={$item['id']}'><img src='icons/info.jpg' border=0 title='info'></a></td>
			<td align='center'>{$item['timestamp']}</td>
			<td align='center'>{$item['ip']}</td>
			<td align='center'>$flag</td>
			<td align='center'><img src='$browser'> <img src='$os'></td>
			<td>{$item['referer_host']}</td>
			<td>{$item['entry']}</td>
		</tr>";
		$n++;
	}
	echo "
	<tr class='fill01'><td colspan=7 height=5><!-- SPACER --></td></tr>
</table>";
?>
