<?php /*
phpWebTrace v1.0 - icons.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: icons.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ ?>
<?php
function browser($browser) {
	switch($browser) {
		case 'MSIE': $browser = 'icons_browser/iexplore.jpg'; break;
		case 'Netscape': $browser = 'icons_browser/netscape.jpg'; break;
		case 'Opera': $browser = 'icons_browser/opera.jpg'; break;
		case 'Mozilla': $browser = 'icons_browser/mozilla.jpg'; break;
		case 'Safari': $browser = 'icons_browser/safari.jpg'; break;
		case 'Firefox': $browser = 'icons_browser/firefox.jpg'; break;
		case 'Firebird': $browser = 'icons_browser/firebird.jpg'; break;
		case 'AOL': $browser = 'icons_browser/aol.jpg'; break;
		case 'Unknown': $browser = 'icons_browser/unknown.jpg'; break;
		case 'Konqueror': $browser = 'icons_browser/konqueror.jpg'; break;
		case 'Camino': $browser = 'icons_browser/camino.jpg'; break;
		case 'Thunderbird': $browser = 'icons_browser/thunderbird.jpg'; break;
		case 'Mac': $browser = 'icons_browser/mac.jpg'; break;
		case 'AvantGo': $browser = 'icons_browser/avantgo.jpg'; break;
		case 'Nautilus': $browser = 'icons_browser/nautilus.jpg'; break;
		case 'Avant Browser': $browser = 'icons_browser/avant.jpg'; break;
		default: $browser = 'icons_browser/no_icon.jpg'; break;
		
	}
	if(trim($browser) == '') { $browser = 'icons_browser/unknown.jpg'; }
	
	return $browser;
}

function os($os) {
	switch($os) {
		case 'Windows 95': $os = 'icons_os/windows.jpg'; break;
		case 'Windows 98': $os = 'icons_os/windows.jpg'; break;
		case 'Windows NT': $os = 'icons_os/windows.jpg'; break;
		case 'Windows 2000': $os = 'icons_os/win2k.jpg'; break;
		case 'Windows ME': $os = 'icons_os/winme.jpg'; break;
		case 'Windows Server 2003': $os = 'icons_os/winxp.jpg'; break;
		case 'Windows XP': $os = 'icons_os/winxp.jpg'; break;
		case 'Windows Longhorn': $os = 'icons_os/longhorn.jpg'; break;
		case 'Linux': $os = 'icons_os/linux.jpg'; break;
		case 'Macintosh': $os = 'icons_os/mac.jpg'; break;
		case 'Mac OS X': $os = 'icons_os/osx.jpg'; break;
		case 'Unix': $os = 'icons_os/unix.jpg'; break;
		case 'FreeBSD': $os = 'icons_os/freebsd.jpg'; break;
		case 'Unknown': $os = 'icons_os/unknown.jpg'; break;
	}
	if(trim($os) == '') { $os = 'icons_os/unknown.jpg'; }
	return $os;
}

function engine($name) {
	switch($name) {
		case 'Alexa': $engine = 'icons_engine/alexa.jpg'; break;
		case 'All the Internet': $engine = 'icons_engine/alltheinternet.jpg'; break;
		case 'AlltheWeb.com': $engine = 'icons_engine/alltheweb.jpg'; break;
		case 'AltaVista': $engine = 'icons_engine/altavista.jpg'; break;
		case 'AOL Web Search': $engine = 'icons_engine/aol.jpg'; break;
		case 'Ask Jeeves': $engine = 'icons_engine/ask.png'; break;
		case 'DMOZ': $engine = 'icons_engine/dmoz.gif'; break;
		case 'EarthLink': $engine = 'icons_engine/earthlink.jpg'; break;
		case 'Euroseek.com': $engine = 'icons_engine/euroseek.jpg'; break;
		case 'Excite': $engine = 'icons_engine/excite.jpg'; break;
		case 'Google': $engine = 'icons_engine/google.jpg'; break;
		case 'HotBot': $engine = 'icons_engine/hotbot.jpg'; break;
		case 'iWon': $engine = 'icons_engine/iwon.jpg'; break;
		case 'Info.uk': $engine = 'icons_engine/infouk.png'; break;
		case 'Lycos': $engine = 'icons_engine/lycos.png'; break;
		case 'LookSmart': $engine = 'icons_engine/looksmart.jpg'; break;
		case 'MSN Search': $engine = 'icons_engine/msn.jpg'; break;
		case 'Mirago': $engine = 'icons_engine/mirago.png'; break;
		case 'Netscape Search': $engine = 'icons_engine/netscape.jpg'; break;
		case 'Overture': $engine = 'icons_engine/overture.jpg'; break;
		case 'Search.com': $engine = 'icons_engine/search.jpg'; break;
		case 'Thunderstone': $engine = 'icons_engine/thunderstone.png'; break;
		case 'Viewpoint': $engine = 'icons_engine/viewpoint.jpg'; break;
		case 'WiseNut': $engine = 'icons_engine/wisenut.jpg'; break;
		case 'Yahoo!': $engine = 'icons_engine/yahoo.jpg'; break;
		case 'Yell.com': $engine = 'icons_engine/yell.png'; break;
		case 'Gigablast': $engine = 'icons_engine/gigablast.jpg'; break;
		case 'Zeal.com': $engine = 'icons_engine/zeal.gif'; break;
	}
	if(!$engine) { $engine = 'icons_engine/no_icon.jpg'; }
	
	return $engine;
}

function files($ext) {
	switch($ext) {
//		case 'exe': $ext = 'icons_files/win_exe.png'; break;
		case 'tar': $ext = 'icons_files/rar.png'; break;
		case 'gz': $ext = 'icons_files/rar.png'; break;
		case 'tgz': $ext = 'icons_files/rar.png'; break;
		case 'zip': $ext = 'icons_files/zip.png'; break;
		case 'rar': $ext = 'icons_files/rar.png'; break;
		case 'doc': $ext = 'icons_files/msdoc.png'; break;
		case 'xls': $ext = 'icons_files/msxls.png'; break;
		case 'xlt': $ext = 'icons_files/msxls.png'; break;
		case 'ppt': $ext = 'icons_files/msppt.png'; break;
		case 'txt': $ext = 'icons_files/txt.png'; break;
		case 'bz2': $ext = 'icons_files/zip.png'; break;
		case 'pdf': $ext = 'icons_files/acrobat.png'; break;
		case 'txt': $ext = 'icons_files/txt.png'; break;
		case 'torrent': $ext = 'icons_files/bittorrent.png'; break;
		case 'pdf': $ext = 'icons_files/acrobat.png'; break;
		case 'avi': $ext = 'icons_files/avi.png'; break;
//		case 'mp3': $ext = 'icons_files/mp3.png'; break;
//		case 'mpe': $ext = 'icons_files/mpeg.png'; break;
//		case 'mpg': $ext = 'icons_files/mpeg.png'; break;
//		case 'mpeg': $ext = 'icons_files/mpeg.png'; break;
	}
	if(trim($ext) == '') { $ext = 'icons_files/generic.png'; }
	return $ext;
}	
?>