<?php /*
phpWebTrace 1.0 - search_bots.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: search_bots.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
// ----------------------------------------------------------------------
// get and sort search engine bots data
$botset = array();
// count visit frequency of each bot
foreach ($bots as $name => $clientstring) {

	$result = mysql_db_query($dbname, "SELECT id,timestamp,datestamp,hourstamp,ip,host,referer,referer_host,client,browser,os,engine,terms,entry,mail FROM $dblog WHERE client LIKE '%".$clientstring."%'", $link);
	if ( $result ) { 
		while ( $data = mysql_fetch_array($result) ) {
			array_push($botset, $name);
		}
	}
}
$botset = array_count_values($botset);
arsort($botset);

// list visiting bots summary
?>
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
	<tr class='fill01'><td height=25 colspan=3 align='left'>&nbsp;<b>Search Engine Bots &amp; Crawler Summary</b> - Percentage is based on total website visits.</td></tr>
	<?php $n = 0;
	foreach($botset as $name => $value) {
		$percent = $value / str_replace(',', '', $total_visits); // use str_replace to remove the number formating
		$width = round(400 * $percent);
		$percent = round($percent * 100, 1) . '%';
		$value = number_format($value);
		$image = engine($name); // what icon to display?
		
		if(!($n % 2)) { $bg = "class='fill03'"; } else { $bg = ''; }
		echo "<tr $bg>
			<td align='center' width=20><a href='index.php?page=list_search_bots&bot=$name'><img src='icons/info.jpg' border=0 title='Click to see all visits from this bot.'></a></td>
			<td width=140>$name</td>
			<td valign='middle' width=500><img src='$image' align='left'>&nbsp;&nbsp;<img src='graphics/graph_blue_h.jpg' width=$width height=16 align='absmiddle'> $percent ($value)</td>
		</tr>";
		$n++;
	}
	?>
	<tr class='fill01'><td colspan=3 height=5><!-- SPACER --></td></tr>
</table>
<?
// ----------------------------------------------------------------------
// list last 20 bots visits in date order
if($_GET['limit']) { $viewing = 'Last ' . (int)$_GET['limit']; } else { $viewing = 'Last 20'; }
echo "<br>
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
	<tr class='fill01'><td height=25 colspan=6 align='left'>&nbsp;<b>Search Engine Bots &amp; Crawler Visits - Viewing $viewing</b> ( <a href='index.php?page=list_search_bots&showdate=".date("Ymd")."' class='slink'>Today</a> | <a class='slink' href='index.php?page=list_search_bots&limit=50'>Last 50</a> | <a class='slink' href='index.php?page=list_search_bots&limit=100'>Last 100</a> | <a class='slink' href='index.php?page=list_search_bots'>List All</a> )</td></tr>
	<tr class='fill02'>
		<td width=20></td>
		<td width=130 align='center'><b>Date / Time</b></td>
		<td width=95 align='center'><b>IP</b></td>
		<td width=20 align='center'><b>Ctry</b></td>
		<td width=55 align='center'><b>Engine</b></td>
		<td><b>Entry Page</b></td>
	</tr>
";

// build query to get all bots visits from db
if($_GET['limit']) { $limit = ' LIMIT ' . (int)$_GET['limit']; } else { $limit = ' LIMIT 20'; }
reset($bots);
$totalbots=count($bots);
$x=1;
$sql="SELECT id,timestamp,ip,host,referer_host,browser,os,entry,client FROM $dblog WHERE ";
foreach ($bots as $name => $value) {
	$sql .= "client LIKE '%".$value."%'";
	if ($x < $totalbots) { $sql .= " OR "; $x++; }
}
$sql .= " ORDER BY timestamp DESC$limit";

// iterate through db results showing each row
$n = 0;
$result = mysql_db_query($dbname, $sql, $link);
if ( $result ) { 
	while ( $row = mysql_fetch_array($result) ) {
		$row['timestamp'] = date("d/m/Y h:i a", $row['timestamp']);
		$row['entry'] = pathinfo($row['entry']);
		$row['entry'] = $row['entry']["basename"];
		$browser = browser($row['browser']);
		
		// determine the bot icon to use
		reset($bots);
		foreach ($bots as $name => $value) {
			if ( strpos($row['client'], $value) !== FALSE ) { $bot = engine($name); break; }
		}
		
		// do the GeoIP Lookup
        if ( $geoip_path != '' ) {
			$countrycode=geoip_country_code_by_addr($gi, $row['ip']);
			if ( $countrycode == "" ) { $flag = "icons_flags/unknown.jpg"; }
			else {
				$flag = "icons_flags/" . strtolower($countrycode) . ".gif" ;
			}
			$country = geoip_country_name_by_addr($gi, $row['ip']);
			$flag = "<img src='$flag' title='$country'>";
		} else {
			$flag = "&nbsp;";
		}
		
		if(!($n % 2)) { $bg = "class='fill03'"; } else { $bg = ''; }
		
		echo "<tr $bg>
			<td align='center'><a href='index.php?page=search_bots_detail&id={$row['id']}'><img src='icons/info.jpg' border=0 title='info'></a></td>
			<td align='center'>{$row['timestamp']}</td>
			<td align='center'>{$row['ip']}</td>
			<td align='center'>$flag</td>
			<td align='center'><img src='$bot' title='$name'></td>
			<td>{$row['entry']}</td>
		</tr>";
		$n++;
	}
}
echo "
<tr class='fill01'><td colspan=6 height=5><!-- SPACER --></td></tr>
</table>";

?>